Subject: [Ietf-not43] l10n/i18n issues

From: [email-masked] (Hollenbeck, Scott)
Date: Wed, 5 Feb 2003 19:17:38 -0500

> -----Original Message-----
> From: Andrew Newton [mailto:[email-masked]]
> Sent: Wednesday, February 05, 2003 6:38 PM
> To: Eric A. Hall
> Cc: Rick Wesson; [email-masked]
> Subject: Re: [Ietf-not43] l10n/i18n issues
> 
> 
> Eric A. Hall wrote:
> > 
> > I'm not saying that these aren't livable costs, just 
> raising the point.
> 
> It's my guess that this will actually be a corner case and 
> not the norm. 
>   However, I don't think it is right to stipulate 7bit ASCII 
> as a must, 
> as this seems like a policy decision.

To reword what Rick suggested a bit, we're strongly recommending UTF-8 in
EPP though other character sets are possible with XML as long as they are
identified appropriately.  There is a subset of UTF-8 that can be
represented in ASCII.  We're allowing clients to specify one or two
name/address forms: a "localized" form (which can contain any UTF-8
characters that make sense in the local policy context) and an
"internationalized" form (that can contain only the subset of UTF-8 that can
be represented in ASCII in the hope of it being internationally readable).
One or the other or both can be provided.

-Scott-

---

From: [email-masked] (Eric A. Hall)
Date: Wed, 05 Feb 2003 22:58:27 -0600

on 2/5/2003 6:17 PM Hollenbeck, Scott wrote:

> We're allowing clients to specify one or two name/address forms: a 
> "localized" form (which can contain any UTF-8 characters that make
> sense in the local policy context) and an "internationalized" form
> (that can contain only the subset of UTF-8 that can be represented in
> ASCII in the hope of it being internationally readable). One or the
> other or both can be provided.

When you say "clients" do you mean the typical client-side protocol
agents, or do you mean something else? If protocol agents, then doesn't
this model inherit the worst of both models, in that it duplicates entry
management and also complicates protocol overhead?

Can I get a pointer to the section of the draft[s] that describes the
model so I can read up on it?

-- 
Eric A. Hall                                        http://www.ehsco.com/
Internet Core Protocols          http://www.oreilly.com/catalog/coreprot/